# Uses of Enum Class
org.springframework.context.annotation.Bean.Bootstrap

Packages that use Bean.Bootstrap
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of Bean.Bootstrap in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return Bean.Bootstrap
Modifier and Type
Method
Description
`static Bean.Bootstrap`
Bean.Bootstrap.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bean.Bootstrap[]`
Bean.Bootstrap.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.